Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class GraphTransaction

    java.lang.Object
      java.io.OutputStream
          de.grogra.util.OutputQueue
              de.grogra.util.HierarchicalQueue
                  de.grogra.persistence.XAQueue
                      de.grogra.persistence.Transaction
                          de.grogra.graph.impl.GraphTransaction

All Implemented Interfaces:
  PersistenceOutput, java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.io.ObjectOutput

    public class GraphTransaction

extends Transaction

Nested Class Summary
`static interface` | `GraphTransaction.Consumer`
`static class` | `GraphTransaction.Dump`
`class` | `GraphTransaction.Reader`

Nested classes/interfaces inherited from class de.grogra.persistence.Transaction
`Transaction.Data, Transaction.ExtendedConsumer, Transaction.Key`

Nested classes/interfaces inherited from class de.grogra.util.HierarchicalQueue
`HierarchicalQueue.Cursor`

Field Summary
`static int` | `ADD_EDGE_BITS`
`static int` | `MIN_UNUSED_ITEM`
`static int` | `REMOVE_EDGE_BITS`

Fields inherited from class de.grogra.persistence.Transaction
`INSERT_BOOLEAN, INSERT_BYTE, INSERT_CHAR, INSERT_DOUBLE, INSERT_FLOAT, INSERT_INT, INSERT_LONG, INSERT_OBJECT, INSERT_SHORT, MAKE_PERSISTENT, MAKE_TRANSIENT, READ_DATA, REMOVE_BOOLEAN, REMOVE_BYTE, REMOVE_CHAR, REMOVE_DOUBLE, REMOVE_FLOAT, REMOVE_INT, REMOVE_LONG, REMOVE_OBJECT, REMOVE_SHORT, SET_BOOLEAN, SET_BYTE, SET_CHAR, SET_DOUBLE, SET_FLOAT, SET_INT, SET_LONG, SET_OBJECT, SET_SHORT, UNDO_TRANSACTION`

Fields inherited from class de.grogra.persistence.XAQueue
`cache, manager`

Fields inherited from class de.grogra.util.HierarchicalQueue
`BEGIN_LEVEL, IS_FINISHED, ITEM_AND_BITS_MASK, ITEM_MASK, MAX_UNUSED_BIT, MIN_UNUSED_BIT, NEXT_EXISTS, out`

Constructor Summary
`GraphTransaction(GraphManager manager, java.lang.Thread thread)`

Method Summary
`Transaction.Reader` | `createReader()`
`protected boolean` | `isLoggingSuppressed()`
`void` | `logAddEdgeBits(Node source, Node target, int added, int mask)`
`void` | `logRemoveEdgeBits(Node source, Node target, int removed, int mask)`

Methods inherited from class de.grogra.persistence.Transaction
`begin, beginApply, close, commit, commitAll, createData, endApply, finishSet, finishSet, fireSharedObjectModified, getActiveCount, getId, getKey, getUserId, hasModified, isActive, isApplying, isModified, isNotApplying, logInsertBoolean, logInsertByte, logInsertChar, logInsertDouble, logInsertFloat, logInsertInt, logInsertLong, logInsertObject, logInsertShort, logMakePersistent, logMakeTransient, logReadData, logRemoveBoolean, logRemoveByte, logRemoveChar, logRemoveDouble, logRemoveFloat, logRemoveInt, logRemoveLong, logRemoveObject, logRemoveShort, logSetBoolean, logSetByte, logSetChar, logSetDouble, logSetFloat, logSetInt, logSetLong, logSetObject, logSetShort, logUndo, makeActive, markModified, prepareLogSetBoolean, prepareLogSetByte, prepareLogSetChar, prepareLogSetDouble, prepareLogSetFloat, prepareLogSetInt, prepareLogSetLong, prepareLogSetObject, prepareLogSetShort, prepareSetBoolean, prepareSetByte, prepareSetChar, prepareSetDouble, prepareSetFloat, prepareSetInt, prepareSetLong, prepareSetObject, prepareSetShort, restore, rollback, rollbackAll, setModified, setReadOnly, setUserId, undo, unmarkModified`

Methods inherited from class de.grogra.persistence.XAQueue
`beginArray, beginField, beginFields, beginManaged, clear, endArray, endField, endFields, endManaged, getPersistenceManager, setNested, writeComponentSeparator, writeName, writeNullObject, writeObject, writePersistentObjectReference, writeSharedObjectReference, writeString, writeStringObject`

Methods inherited from class de.grogra.util.HierarchicalQueue
`beginLevel, beginSkipBlock, cloneData, discardLevel, endLevel, endSkipBlock, getCursor, getData, hasItems, hasItemsInCurrentLevel, moveTo, setItemSize, writeItem, writeObject, writeObjectInStream`

Methods inherited from class de.grogra.util.OutputQueue
`dump, flush, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeObjectInQueue, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceOutput
`writeBoolean, writeByte, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeShort`

Methods inherited from interface java.io.ObjectOutput
`flush, write, write, write`

Methods inherited from interface java.io.DataOutput
`writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Field Detail

### ADD_EDGE_BITS

    public static final int ADD_EDGE_BITS

See Also:
  Constant Field Values

### MIN_UNUSED_ITEM

    public static final int MIN_UNUSED_ITEM

See Also:
  Constant Field Values

### REMOVE_EDGE_BITS

    public static final int REMOVE_EDGE_BITS

See Also:
  Constant Field Values

Constructor Detail

### GraphTransaction

    public GraphTransaction(GraphManager manager,
                            java.lang.Thread thread)

Method Detail

### createReader

    public Transaction.Reader createReader()

  Specified by:
    `createReader` in class `Transaction`

### isLoggingSuppressed

    protected boolean isLoggingSuppressed()

  Overrides:
    `isLoggingSuppressed` in class `Transaction`

### logAddEdgeBits

    public void logAddEdgeBits(Node source,
                               Node target,
                               int added,
                               int mask)

### logRemoveEdgeBits

    public void logRemoveEdgeBits(Node source,
                                  Node target,
                                  int removed,
                                  int mask)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD